#include<iostream>
#include<math.h>
using namespace std;
double L,R;
int main(){
	float n,p,q,r,j=0;
	cin>>p>>q>>r>>L>>R;
	for(int i=L;i<=R;i++){
		if(i>=ceil(i/p)+ceil(i/q)+ceil(i/r)){
		j++;
		//cout<<ceil(i/p)+ceil(i/q)+ceil(i/r)<<endl;
	}
		
	}
	cout<<j;
	return 0;
}